﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace WordsBooklet.BusinessLayer.Models.Resources {
    using System;
    
    
    /// <summary>
    ///   A strongly-typed resource class, for looking up localized strings, etc.
    /// </summary>
    // This class was auto-generated by the StronglyTypedResourceBuilder
    // class via a tool like ResGen or Visual Studio.
    // To add or remove a member, edit your .ResX file then rerun ResGen
    // with the /str option, or rebuild your VS project.
    [global::System.CodeDom.Compiler.GeneratedCodeAttribute("System.Resources.Tools.StronglyTypedResourceBuilder", "15.0.0.0")]
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute()]
    [global::System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    internal class ValidationMessages {
        
        private static global::System.Resources.ResourceManager resourceMan;
        
        private static global::System.Globalization.CultureInfo resourceCulture;
        
        [global::System.Diagnostics.CodeAnalysis.SuppressMessageAttribute("Microsoft.Performance", "CA1811:AvoidUncalledPrivateCode")]
        internal ValidationMessages() {
        }
        
        /// <summary>
        ///   Returns the cached ResourceManager instance used by this class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Resources.ResourceManager ResourceManager {
            get {
                if (object.ReferenceEquals(resourceMan, null)) {
                    global::System.Resources.ResourceManager temp = new global::System.Resources.ResourceManager("WordsBooklet.BusinessLayer.Models.Resources.ValidationMessages", typeof(ValidationMessages).Assembly);
                    resourceMan = temp;
                }
                return resourceMan;
            }
        }
        
        /// <summary>
        ///   Overrides the current thread's CurrentUICulture property for all
        ///   resource lookups using this strongly typed resource class.
        /// </summary>
        [global::System.ComponentModel.EditorBrowsableAttribute(global::System.ComponentModel.EditorBrowsableState.Advanced)]
        internal static global::System.Globalization.CultureInfo Culture {
            get {
                return resourceCulture;
            }
            set {
                resourceCulture = value;
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة 100 حرف فقط.
        /// </summary>
        internal static string CanNotExceed100Character {
            get {
                return ResourceManager.GetString("CanNotExceed100Character", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة 150 حرف فقط.
        /// </summary>
        internal static string CanNotExceed150Character {
            get {
                return ResourceManager.GetString("CanNotExceed150Character", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة 25 حرف فقط.
        /// </summary>
        internal static string CanNotExceed25Character {
            get {
                return ResourceManager.GetString("CanNotExceed25Character", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة 35 حرف فقط.
        /// </summary>
        internal static string CanNotExceed35Character {
            get {
                return ResourceManager.GetString("CanNotExceed35Character", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة 75 حرف فقط.
        /// </summary>
        internal static string CanNotExceed75Character {
            get {
                return ResourceManager.GetString("CanNotExceed75Character", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة التعبير.
        /// </summary>
        internal static string ExpressionCharacterSetIsMandatory {
            get {
                return ResourceManager.GetString("ExpressionCharacterSetIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة مصدر الفعل.
        /// </summary>
        internal static string InfinitiveCharacterSetIsMandatory {
            get {
                return ResourceManager.GetString("InfinitiveCharacterSetIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة الأسم.
        /// </summary>
        internal static string NameIsMandatory {
            get {
                return ResourceManager.GetString("NameIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة حروف عربية فقط.
        /// </summary>
        internal static string OnlyArabicCharactersAreAllowed {
            get {
                return ResourceManager.GetString("OnlyArabicCharactersAreAllowed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يسمح بكتابة حروف لاتينية فقط.
        /// </summary>
        internal static string OnlyLatinCharactersAreAllowed {
            get {
                return ResourceManager.GetString("OnlyLatinCharactersAreAllowed", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة الأسم المفرد النكرة.
        /// </summary>
        internal static string UnknownSingularCharacterSetIsMandatory {
            get {
                return ResourceManager.GetString("UnknownSingularCharacterSetIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة القيمة.
        /// </summary>
        internal static string ValueIsMandatory {
            get {
                return ResourceManager.GetString("ValueIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب كتابة الكلمة.
        /// </summary>
        internal static string VariationCharacterSetIsMandatory {
            get {
                return ResourceManager.GetString("VariationCharacterSetIsMandatory", resourceCulture);
            }
        }
        
        /// <summary>
        ///   Looks up a localized string similar to يجب اختيار المعجم.
        /// </summary>
        internal static string WordbookIsMandatory {
            get {
                return ResourceManager.GetString("WordbookIsMandatory", resourceCulture);
            }
        }
    }
}
